Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.puppycrawl.tools.checkstyle.api
Class FullIdent

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.FullIdent

public final class FullIdent
extends java.lang.Object

Represents a full identifier, including dots, with associated position information.

Identifiers such as `java.util.HashMap` are spread across multiple AST nodes in the syntax tree (three IDENT nodes, two DOT nodes). A FullIdent represents the whole String (excluding any intermediate whitespace), which is often easier to work with in Checks.

Author:
  Oliver Burn
See Also:
  `TokenTypes.DOT`, `TokenTypes.IDENT`

Method Summary
`static FullIdent` | `createFullIdent(DetailAST aAST)` Creates a new FullIdent starting from the specified node.
`static FullIdent` | `createFullIdentBelow(DetailAST aAST)` Creates a new FullIdent starting from the child of the specified node.
`int` | `getColumnNo()`
`int` | `getLineNo()`
`java.lang.String` | `getText()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getText

    public java.lang.String getText()

  Returns:
    the text

### getLineNo

    public int getLineNo()

  Returns:
    the line number

### getColumnNo

    public int getColumnNo()

  Returns:
    the column number

### createFullIdent

    public static FullIdent createFullIdent(DetailAST aAST)

  Creates a new FullIdent starting from the specified node.

  Parameters:
    `aAST` - the node to start from
  Returns:
    a `FullIdent` value

### createFullIdentBelow

    public static FullIdent createFullIdentBelow(DetailAST aAST)

  Creates a new FullIdent starting from the child of the specified node.

  Parameters:
    `aAST` - the parent node from where to start from
  Returns:
    a `FullIdent` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Back to the Checkstyle Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD